function test
% test function
%
% Copyright 2008 by V. Emiya, TELECOM ParisTech, Paris, France.

% Load one reference file and 2 different transcriptions
load testData.mat 

% Compute perceptive F-measures
perceptiveFmes1 = perceptiveFMeasure(Mref,Mest1)
perceptiveFmes2 = perceptiveFMeasure(Mref,Mest2)

% Plot as piano rolls
figure
subplot(211)
p1=plot(Mref(:,2:3)',(Mref(:,1)*ones(1,2))','-ob',...
    Mest1(:,2:3)',(Mest1(:,1)*ones(1,2))',':xr');
legend(p1([1,end]),{'Reference','Transcription 1'})
xlabel('t (s)'),ylabel('Pitch (MIDI)'), grid on
subplot(212)
p2=plot(Mref(:,2:3)',(Mref(:,1)*ones(1,2))','-ob',...
    Mest2(:,2:3)',(Mest2(:,1)*ones(1,2))',':xr');
legend(p2([1,end]),{'Reference','Transcription 2'})
xlabel('t (s)'),ylabel('Pitch (MIDI)'), grid on

return